
<!-- User Permissions -->
<div class="postbox">

	<h3 class="hndle"><?php echo __( 'PriceLabs', 'wp-booking-system-pricelabs' ); ?></h3>

	<div class="inside">

            <p><?php _e('Select the property you want to sync with this calendar.', 'wp-booking-system-pricelabs') ?></p>

			<div class="wpbs-settings-field-inner">

                <?php 
                $pricelabs = new WPBS_PriceLabs_API();
                $listings = $pricelabs->get_listings();

                $pricelabs_id = wpbs_get_calendar_meta( $calendar->get('id'), 'pricelabs_id', true); 
                $pricelabs_pms = wpbs_get_calendar_meta( $calendar->get('id'), 'pricelabs_pms', true); 
                $pricelabs_restrictions = wpbs_get_calendar_meta( $calendar->get('id'), 'pricelabs_restrictions', true); 
                ?>

                <select type="text" name="calendar_pricelabs_data">
                    <option value="">-</option>
                    <?php if($listings->listings) foreach($listings->listings as $listing): ?>
                        <option value="<?php echo base64_encode(json_encode(['id' => $listing->id, 'pms' => $listing->pms]));?>" <?php echo $pricelabs_id == $listing->id ? 'selected="selected"' : '';?>><?php echo $listing->name ?> (<?php echo $listing->pms ?>)</option>
                    <?php endforeach; ?>
                </select>

                <?php if($pricelabs_id && $pricelabs_pms): ?>

                    <?php $prices = $pricelabs->get_listing_price($pricelabs_id, $pricelabs_pms); ?>

                    <?php if(isset($prices->error)): ?>
                        <div class="wpbs-page-notice notice-error wpbs-form-changed-notice"> 
                            <p><?php _e('Error', 'wp-booking-system-pricelabs') ?>: <?php echo $prices->error ?></p>
                        </div>
                        
                    <?php else: ?>

                        <?php $last_updated = wpbs_get_calendar_meta($calendar->get('id'), 'pricelabs_last_updated_' . $pricelabs_id, true); ?>

                        <small><?php _e('Last updated', 'wp-booking-system-pricelabs') ?>: <?php echo $last_updated; ?></small>

                        <label for="calendar_pricelabs_restrictions" class="calendar-pricelabs-restrictions-label">
                            <input type="checkbox" id="calendar_pricelabs_restrictions" name="calendar_pricelabs_restrictions" <?php echo $pricelabs_restrictions ? 'checked' : '';?> > 
                            <?php _e('Enable booking restrictions', 'wp-booking-system-pricelabs') ?>
                            <?php echo wpbs_get_output_tooltip(__('Apply the minimum stay restrictions from the PriceLabs API.', 'wp-booking-system-pricelabs')) ?>
                        </label>
                        

                    <?php endif; ?>

                <?php endif; ?>
                
		</div>

	</div>

    <?php if(isset($last_updated)): ?>
    <div class="wpbs-plugin-card-bottom plugin-card-bottom">
        
        <a href="<?php echo wp_nonce_url( add_query_arg( array( 'wpbs_action' => 'refresh_pricelabs_data' ), remove_query_arg( 'wpbs_message' ) ), 'wpbs_refresh_pricelabs_data', 'wpbs_token' ); ?>" class="button-secondary">
            <span class="dashicons dashicons-update"></span>
            <?php echo __( 'Refresh Prices', 'wp-booking-system-pricelabs' );?>
        </a>

    </div>
    <?php endif; ?>
	
</div>

<!-- User Permissions Nonce -->
<?php wp_nonce_field( 'wpbs_token_calendar_pricelabs', 'wpbs_token_calendar_pricelabs', false ); ?>