<?php 
$settings = get_option('wpbs_settings', array());
?>

<h2><?php echo __('PriceLabs', 'wp-booking-system-pricelabs') ?></h2>

<!-- Documentation -->
<div class="wpbs-page-notice notice-info wpbs-form-changed-notice"> 
    <p><?php echo __( 'If you need help getting your API Key, <a target="_blank" href="https://www.wpbookingsystem.com/documentation/pricelabs-integration/">check out our guide</a> which offers step by step instructions.', 'wp-booking-system-pricelabs'); ?></p>
</div>

<!-- API Key -->
<div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
    <label class="wpbs-settings-field-label" for="payment_pricelabs_api">
        <?php echo __( 'API Key', 'wp-booking-system-pricelabs'); ?>
    </label>

    <div class="wpbs-settings-field-inner">
        <input name="wpbs_settings[payment_pricelabs_api]" type="text" id="payment_pricelabs_api"  class="regular-text " value="<?php echo ( !empty( $settings['payment_pricelabs_api'] ) ) ? $settings['payment_pricelabs_api'] : '';?>">

        <?php $pricelabs = new WPBS_PriceLabs_API(); if($pricelabs->validate_api_key() !== true): ?>
            <div class="wpbs-page-notice notice-error wpbs-form-changed-notice"> 
               <p><?php echo __('Error: ', 'wp-booking-system-pricelabs') . ' ' .  $pricelabs->validate_api_key()?></p>
            </div>
        <?php endif; ?>
    </div>
    

</div>

<div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-medium">

	<label class="wpbs-settings-field-label"><?php _e('Refresh interval', 'wp-booking-system-pricelabs') ?></label>

	<div class="wpbs-settings-field-inner">
		<select name="wpbs_settings[payment_pricelabs_refresh]">
            <?php $selected = ( ! empty( $settings['payment_pricelabs_refresh'] ) ? $settings['payment_pricelabs_refresh'] : 'daily' ); ?>
			<option <?php selected( $selected, 'daily' ); ?> value="daily"><?php _e('Daily', 'wp-booking-system-pricelabs') ?></option>
			<option <?php selected( $selected, 'twice_per_day' ); ?> value="twice_per_day"><?php _e('Twice a day', 'wp-booking-system-pricelabs') ?></option>
			<option <?php selected( $selected, 'hourly' ); ?> value="hourly"><?php _e('Hourly', 'wp-booking-system-pricelabs') ?></option>
		</select>
	</div>

</div>

<!-- Discount -->
<div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
    <label class="wpbs-settings-field-label" for="payment_pricelabs_api">
        <?php echo __( 'Discount', 'wp-booking-system-pricelabs'); ?>
        <?php echo wpbs_get_output_tooltip(__('Apply a percentage discount to all prices.', 'wp-booking-system-pricelabs')) ?>
    </label>

    <div class="wpbs-settings-field-inner">

        <span class="input-before">
            <span class="before">
                <span>%</span>
            </span>
            <input name="wpbs_settings[payment_pricelabs_discount]" type="text" id="payment_pricelabs_discount"  class="regular-text " value="<?php echo ( !empty( $settings['payment_pricelabs_discount'] ) ) ? $settings['payment_pricelabs_discount'] : '0';?>">
        </span>
    </div>
</div>


